﻿<?xml version="1.0" encoding="utf-8"?>
<!-- System.Web.Mvc, Version=5 -->
<Project ToolsVersion="15.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <Import Project="$(SolutionDir)\VietHoang.Sitecore.targets" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E26453D7-40E8-4369-8A9E-2022DFA3E142}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>VietHoang.Demo.Web</RootNamespace>
    <AssemblyName>VietHoang.Demo.Web</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <MvcBuildViews>false</MvcBuildViews>
    <UseIISExpress>true</UseIISExpress>
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
    <UseGlobalApplicationHostFile />
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <Use64BitIISExpress />
    <WebGreaseLibPath>..\..\..\..\packages\WebGrease.1.5.2\lib</WebGreaseLibPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="Antlr" Version="3.4.1.9004" />
    <PackageReference Include="AutoMapper" Version="6.2.2" />
    <PackageReference Include="bootstrap" Version="3.0.0" />
    <PackageReference Include="Castle.Core" Version="4.4.0" />
    <PackageReference Include="CommonServiceLocator" Version="2.0.3" />
    <PackageReference Include="Glass.Mapper.Sc.101" Version="5.8.177" />
    <PackageReference Include="Glass.Mapper.Sc.101.Core" Version="5.8.177" />
    <PackageReference Include="Glass.Mapper.Sc.101.Mvc" Version="5.8.177" />
    <PackageReference Include="HtmlAgilityPack" Version="1.4.9.5" />
    <PackageReference Include="jQuery" Version="1.10.2" />
    <PackageReference Include="jQuery.Validation" Version="1.11.1" />
    <PackageReference Include="Microsoft.AspNet.Mvc" Version="5.2.4" />
    <PackageReference Include="Microsoft.AspNet.Razor" Version="3.2.4" />
    <PackageReference Include="Microsoft.AspNet.Web.Optimization" Version="1.1.3" />
    <PackageReference Include="Microsoft.AspNet.WebPages" Version="3.2.4" />
    <PackageReference Include="Microsoft.CodeDom.Providers.DotNetCompilerPlatform" Version="1.0.8" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="3.1.5" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="3.1.5" />
    <PackageReference Include="Microsoft.jQuery.Unobtrusive.Validation" Version="3.2.2" />
    <PackageReference Include="Microsoft.Net.Compilers" Version="2.4.0" />
    <PackageReference Include="Microsoft.NETCore.Platforms" Version="2.0.0" />
    <PackageReference Include="Microsoft.Web.Infrastructure" Version="1.0.0.0" />
    <PackageReference Include="Microsoft.Win32.Primitives" Version="4.3.0" />
    <PackageReference Include="Modernizr" Version="2.6.2" />
    <PackageReference Include="Newtonsoft.Json" Version="11.0.2" />
    <PackageReference Include="RazorGenerator.MsBuild">
      <Version>2.5.0</Version>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Respond" Version="1.2.0" />
    <PackageReference Include="Sitecore.Kernel" Version="10.1.1" />
    <PackageReference Include="Sitecore.Mvc.Analytics" Version="10.1.1" />
    <PackageReference Include="Sitecore.Mvc" Version="10.1.1" />
    <PackageReference Include="WebGrease" Version="1.5.2" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Data" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.IO.Compression.FileSystem" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Web.DynamicData" />
    <Reference Include="System.Web.Entity" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Abstractions" />
    <Reference Include="System.Web.Routing" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="System.Net.Http.WebRequest">
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="App_Start\AutoMapperProfile.cs" />
    <Compile Include="App_Start\FilterConfig.cs" />
    <Compile Include="App_Start\RouteConfig.cs" />
    <Compile Include="Constants.cs" />
    <Compile Include="Controllers\BaseController.cs" />
    <Compile Include="Controllers\HomeController.cs" />
    <Compile Include="Dictionary.cs" />
    <Compile Include="Home - Copy.cs">
      <DependentUpon>Languages.cs</DependentUpon>
    </Compile>
    <Compile Include="Home.cs">
      <DependentUpon>Dictionary.cs</DependentUpon>
    </Compile>
    <Compile Include="Languages.cs">
      <DependentUpon>Dictionary.cs</DependentUpon>
    </Compile>
    <Compile Include="Models\PageViewModel.cs" />
    <Compile Include="Models\StandardItemViewModel.cs" />
    <Compile Include="Pipelines\Initialize\RegisterBundles.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ServicesConfigurators\DependenciesRegistration.cs" />
    <Compile Include="Utilities\BundleHelper.cs" />
    <Compile Include="Utilities\WebUtility.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="assets\Demo\js\jquery-2.1.0.min.js" />
    <Content Include="assets\Demo\js\marker.js" />
    <Content Include="Demo-404.htm" />
    <Content Include="Demo-Error.htm" />
    <Content Include="Views\VietHoang\Demo\Pages\Home.cshtml" />
    <Content Include="Views\VietHoang\Demo\Pages\HomeIndex.cshtml" />
    <Content Include="Views\VietHoang\Demo\Sublayouts\TwoColumns.cshtml" />
    <Content Include="Views\VietHoang\Demo\_Layout.cshtml" />
    <Content Include="Views\VietHoang\Demo\_MainLayout.cshtml" />
    <Content Include="App_Config\Include\VietHoang\Project\Demo.Serialization.config">
      <SubType>Designer</SubType>
      <TransformOnBuild>true</TransformOnBuild>
    </Content>
    <None Include="App_Config\Include\VietHoang\Project\Demo.Serialization.Debug.config">
      <DependentUpon>Demo.Serialization.config</DependentUpon>
      <IsTransformFile>true</IsTransformFile>
    </None>
    <None Include="App_Config\Include\VietHoang\Project\Demo.Serialization.Release-Staging.config">
      <DependentUpon>Demo.Serialization.config</DependentUpon>
      <IsTransformFile>true</IsTransformFile>
    </None>
    <None Include="App_Config\Include\VietHoang\Project\Demo.Serialization.Release.config">
      <DependentUpon>Demo.Serialization.config</DependentUpon>
      <IsTransformFile>true</IsTransformFile>
    </None>
    <None Include="App_Config\Include\VietHoang\Project\Demo.Website.Release-Staging.config">
      <DependentUpon>Demo.Website.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="Properties\PublishProfiles\Local.pubxml" />
    <Content Include="Views\VietHoang\Demo\Pages\Error.cshtml" />
    <Content Include="Views\VietHoang\Demo\Pages\ContactUs.cshtml" />
    <Content Include="Views\VietHoang\Demo\Features\OfficesMap.cshtml" />
    <None Include="Web.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <None Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Content Include="App_Config\Include\VietHoang\Project\Demo.Website.config">
      <SubType>Designer</SubType>
      <TransformOnBuild>true</TransformOnBuild>
    </Content>
    <None Include="App_Config\Include\VietHoang\Project\Demo.Website.Debug.config">
      <DependentUpon>Demo.Website.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="App_Config\Include\VietHoang\Project\Demo.Website.Release.config">
      <DependentUpon>Demo.Website.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="Views\Web.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\Feature\VietHoang.Feature.Identity\VietHoang.Feature.Identity.csproj">
      <Project>{8187ab84-0036-455e-a381-f4dacbe42644}</Project>
      <Name>VietHoang.Feature.Identity</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Feature\VietHoang.Feature.Language\VietHoang.Feature.Language.csproj">
      <Project>{c8120cca-1b9f-4e79-b2d9-20703de70161}</Project>
      <Name>VietHoang.Feature.Language</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Foundation\VietHoang.Core\VietHoang.Core.csproj">
      <Project>{a9e08c23-9b01-4af9-9aae-2f79c37d6cbf}</Project>
      <Name>VietHoang.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Foundation\VietHoang.Dictionary\VietHoang.Dictionary.csproj">
      <Project>{9199acf3-e9af-4c80-8c33-3de16d77f8da}</Project>
      <Name>VietHoang.Dictionary</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Foundation\VietHoang.Ioc\VietHoang.Ioc.csproj">
      <Project>{cbdaba44-e886-46ba-bcfc-e3fce4908bd5}</Project>
      <Name>VietHoang.Ioc</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\Foundation\VietHoang.Shared\VietHoang.Shared.csproj">
      <Project>{b39aed59-de00-4ba9-baf8-b418be3796fc}</Project>
      <Name>VietHoang.Shared</Name>
    </ProjectReference>
    <ProjectReference Include="..\VietHoang.Demo.Domain\VietHoang.Demo.Domain.csproj">
      <Project>{0b101a8b-b370-4846-9168-4e92c3cbc6e7}</Project>
      <Name>VietHoang.Demo.Domain</Name>
    </ProjectReference>
    <ProjectReference Include="..\VietHoang.Demo.Services\VietHoang.Demo.Services.csproj">
      <Project>{87cdef95-3493-44e9-ada2-36ab790c9012}</Project>
      <Name>VietHoang.Demo.Services</Name>
    </ProjectReference>
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">10.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <PropertyGroup>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release-Staging|AnyCPU'">
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" Condition="false" />
  <Target Name="MvcBuildViews" AfterTargets="AfterBuild" Condition="'$(MvcBuildViews)'=='true'">
    <AspNetCompiler VirtualPath="temp" PhysicalPath="$(WebProjectOutputDir)" />
  </Target>
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>48241</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:47033/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <PropertyGroup>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target> -->
  <UsingTask TaskName="TransformXml" AssemblyFile="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)\Web\Microsoft.Web.Publishing.Tasks.dll" />
  <Target Name="BeforeBuild">
    <TransformXml Source="App_Config\Include\VietHoang\Project\Demo.Website.config" Transform="App_Config\Include\VietHoang\Project\Demo.Website.$(Configuration).config" Destination="App_Config\Include\VietHoang\Project\Demo.Website.config" />
    <TransformXml Source="App_Config\Include\VietHoang\Project\Demo.Serialization.config" Transform="App_Config\Include\VietHoang\Project\Demo.Serialization.$(Configuration).config" Destination="App_Config\Include\VietHoang\Project\Demo.Serialization.config" />
  </Target>
  <Target Name="AfterBuild" Condition="Exists('Web.$(Configuration).config')">
    <!--Generate transformed config in the output directory-->
    <TransformXml Source="Web.config" Destination="$(OutputPath)Web.config" Transform="Web.$(Configuration).config" />
  </Target>
</Project>